import { MuSocketServer, MuSocketServerState, MuSocketServerSpec, MuSocket, MuSocketState, MuSocketSpec, MuSessionId, MuData } from 'mudb/socket';
export declare class MuDebugSocket implements MuSocket {
    socket: MuSocket;
    readonly sessionId: MuSessionId;
    state: MuSocketState;
    inLatency: number;
    inJitter: number;
    inPacketLoss: number;
    outLatency: number;
    outJitter: number;
    outPacketLoss: number;
    constructor(spec: {
        socket: MuSocket;
        inLatency?: number;
        inJitter?: number;
        inPacketLoss?: number;
        outLatency?: number;
        outJitter?: number;
        outPacketLoss?: number;
    });
    private _inbox;
    open(spec: MuSocketSpec): void;
    private _outbox;
    send(data: MuData, unreliable?: boolean): void;
    close(): void;
}
export declare class MuDebugServer implements MuSocketServer {
    socketServer: MuSocketServer;
    state: MuSocketServerState;
    clients: MuDebugSocket[];
    inLatency: number;
    inJitter: number;
    inPacketLoss: number;
    outLatency: number;
    outJitter: number;
    outPacketLoss: number;
    constructor(spec: {
        socketServer: MuSocketServer;
        inLatency?: number;
        inJitter?: number;
        inPacketLoss?: number;
        outLatency?: number;
        outJitter?: number;
        outPacketLoss?: number;
    });
    start(spec: MuSocketServerSpec): void;
    close(): void;
}
