"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var http_1 = require("http");
var ip = require("ip");
var server_1 = require("muweb-socket/server");
var index_1 = require("../index");
var server_2 = require("mudb/server");
var schema_1 = require("./schema");
var PING_OPCODE = 0x9;
var PONG_OPCODE = 0xA;
var server = http_1.createServer();
var socketServer = new server_1.MuWebSocketServer({ server: server });
var debugSocketServer = new index_1.MuDebugServer({ socketServer: socketServer });
var muServer = new server_2.MuServer(debugSocketServer);
muServer.protocol(schema_1.protocolSchema).configure({
    message: {
        ping: function (client, data, unreliable) {
            var response = data === PING_OPCODE ? PONG_OPCODE : data;
            client.message.pong(response, !!unreliable);
        },
    },
});
var port = process.argv[2];
server.listen(port);
muServer.start({
    ready: function () {
        console.log("listening on " + ip.address() + ":" + server.address().port + "...");
    },
});
//# sourceMappingURL=start-server.js.map